> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getauctionplayerbyuuid.md).

# /api/playerauctions/getAuctionPlayerByUUID/{uuid}

* **Parameters:**
  * `uuid`: The UUID of the player.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "logs" : [ ],
    "backpack" : [ ],
    "staticAuctions" : 0,
    "blacklistedPlayers" : [ ],
    "madeOffline" : [ ],
    "maximumAuctions" : 9223372036854775807,
    "prettyMaximumAuctions" : "Unlimited",
    "sellPrice" : 500.0,
    "uuid" : "5ca251ab-589d-4f04-8f0c-28404d0686b0",
    "messages" : [ ],
    "name" : "ForgotUrPassword",
    "language" : null
  }
  ```

**Fields:**

* **logs** (Array): A list of logs associated with this entry.
* **backpack** (Array): A list of items in the backpack.
* **staticAuctions** (Number): The number of static auctions.
* **blacklistedPlayers** (Array): A list of blacklisted players.
* **madeOffline** (Array): A list of players or entries marked as offline.
* **maximumAuctions** (Number): The maximum number of auctions allowed.
* **prettyMaximumAuctions** (String): A human-readable version of the maximum auctions value (e.g., "Unlimited").
* **sellPrice** (Number): The price at which the item or service is sold.
* **uuid** (String): A unique identifier for this entry.
* **messages** (Array): A list of messages associated with this entry.
* **name** (String): The name or identifier for this entry.
* **language** (Null or String): The language setting (null if unspecified).

**Note:**

* [**Authentication**](/projects/playerauctions/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access auction information if you do not own the auction.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getauctionplayerbyuuid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
